Skip to main content
GET
ListPolicies

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of policies to return. The service may return fewer than this value. If unspecified, at most 50 policies will be returned. The maximum value is 100; values above 100 will be coerced to 100. Optional.

pageToken
string

A page token, received from a previous ListPolicies call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListPolicies must match the call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are policy_id, organization_id, name, description, created_by_user_id, modified_by_user_id, created_date, and modified_date. Archive state is controlled via the include_archived field below, not via filter. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved policies. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date, modified_date, and name. If left empty, items are ordered by created_date in descending order (newest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

includeArchived
boolean

Whether to include archived policies in the response. If false or unset, archived policies are excluded.

Response

A successful response.

The result of a call to PolicyService_ListPolicies.

policies
object[]
nextPageToken
string